
Foreman - Bug #26504

Search Hosts by owner = current_user is very inefficient

04/01/2019 04:04 PM - Timo Goebel

Status: Closed   

Priority: Normal   

Assignee: Timo Goebel   

Category: Search   

Target version:    

Difficulty:  Fixed in Releases: 1.22.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6636

  

Description

When a user is a member of four groups and the groups each have a role that allows view_hosts access with a "owner =

current_user" search condition, page loading is very slow.

For every group the user leaves, the requests get faster.

This gist contains a request log from api/hosts/redacted.example.com.

https://gist.github.com/timogoebel/91bc1b6af28a1a6cdb598d713c3dc264/raw/0c33d1e7d8c379f52ca958641472828bcc6113a4/api-c

leaned-sql.txt

The (very simple) request took 30 seconds to be generated.

Associated revisions

Revision 8776c9c3 - 04/03/2019 09:29 AM - Timo Goebel

fixes #26504 - host search current_user efficiently

History

#1 - 04/01/2019 07:33 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Timo Goebel

- Pull request https://github.com/theforeman/foreman/pull/6636 added

#2 - 04/03/2019 09:29 AM - Tomer Brisker

- Fixed in Releases 1.22.0 added

#3 - 04/03/2019 10:01 AM - Timo Goebel

- Status changed from Ready For Testing to Closed

Applied in changeset 8776c9c32d253b0c5a3f6aab012777f565c494de.
